Can you help me in the error I am getting while creating a new core in Apache Solr?

I have recently installed solr 7.2.1 in my ubuntu 16.04 operating system. While creating a new core index, the apache solr logging shows an error message. The error message looks like this:

 

" Caused by: org.apache.solr.common.SolrException: fips module was not loaded."

 

I have downloaded the necessary jar files like cryptoj.jar and copied them in /usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext/ but the error message still persists.

I have also updated the java.security file with
security.provider.x=com.rsa.jsafe.provider.JsafeJCE

 

Can you please suggest a solution to the FIPS module and core installation problem. How can I setup the core files correctly in apache solr?

Codemaster's picture

More infos are needed to answer the question

Do you use the jetty Web Server?

You need to configure the solr.xml first. If you haven't done any modifications in your current solr.xml file, then this will not work.  Here you will find an instruction on how to install and configure the apache solr cores correctly. How to Configure Apache Solr to run with Multiple Cores

 

Vote the answer: 
0
No votes yet